RevokeStatement (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.cql3.statements

## Class RevokeStatement

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ParsedStatement
  - - org.apache.cassandra.cql3.statements.AuthorizationStatement
    - - org.apache.cassandra.cql3.statements.PermissionAlteringStatement
      - - org.apache.cassandra.cql3.statements.RevokeStatement

- All Implemented Interfaces:
    CQLStatement

      public class RevokeStatement
      extends PermissionAlteringStatement

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

      `ParsedStatement.Prepared`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.cql3.statements.PermissionAlteringStatement

      `permissions, resource, username`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RevokeStatement(java.util.Set<Permission> permissions, IResource resource, java.lang.String username)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResultMessage` | `execute(ClientState state)`

    - ### Methods inherited from class org.apache.cassandra.cql3.statements.PermissionAlteringStatement

      `checkAccess, validate`

    - ### Methods inherited from class org.apache.cassandra.cql3.statements.AuthorizationStatement

      `execute, executeInternal, getBoundTerms, maybeCorrectResource, prepare`

    - ### Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

      `getBoundVariables, setBoundVariables`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RevokeStatement

          public RevokeStatement(java.util.Set<Permission> permissions,
                         IResource resource,
                         java.lang.String username)

  - ### Method Detail

    - #### execute

          public ResultMessage execute(ClientState state)
                                throws RequestValidationException,
                                       RequestExecutionException

      Specified by:
        `execute` in class `AuthorizationStatement`
      Throws:
        `RequestValidationException`
        `RequestExecutionException`

Copyright © 2014 The Apache Software Foundation